#!/bin/sh

poetry run ./manage.py migrate --no-input

if [ "$1" = "run.prod" ]; then
	# TODO: is there another way to pass `$(nproc)`?
	poetry run gunicorn --bind 0.0.0.0:8000 --workers "$(nproc)" steering.wsgi
elif [ "$1" = "run.dev" ]; then
	poetry run ./manage.py runserver 0.0.0.0:8000
fi
